> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Index State

> Tenant's indexing watermark + last error. Drives the admin UI
indicator ("Catalog ready · 1234 prodotti indicizzati").



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/chat/index
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/chat/index:
    get:
      tags:
        - admin:chat
      summary: Get Index State
      description: |-
        Tenant's indexing watermark + last error. Drives the admin UI
        indicator ("Catalog ready · 1234 prodotti indicizzati").
      operationId: get_index_state_api_v1_admin_chat_index_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ChatIndexStateOut_'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_ChatIndexStateOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ChatIndexStateOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ChatIndexStateOut]
    ChatIndexStateOut:
      properties:
        status:
          type: string
          title: Status
        documents_count:
          type: integer
          title: Documents Count
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
        embedding_dim:
          anyOf:
            - type: integer
            - type: 'null'
          title: Embedding Dim
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - status
        - documents_count
        - last_synced_at
        - last_error
        - embedding_model
        - embedding_dim
        - updated_at
      title: ChatIndexStateOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````